Page MenuHomePhabricator

port whonixcheck and tb-updater to Qubes qrexec based updates proxy
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick created this task.Apr 5 2016, 7:20 PM
Patrick updated the task description. (Show Details)Aug 19 2016, 1:47 AM
Patrick removed a project: Whonix 14.

Since the recent batch of whonixcheck commits, the only thing to do is modifying the operating systems updates check.

However, that is not possible to implement this at the moment. I have to see how https://github.com/QubesOS/qubes-issues/issues/1858 will be implemented.

I will recheck this for every release of Whonix.

Patrick updated the task description. (Show Details)Aug 19 2016, 2:07 AM
Patrick added a project: tb-updater.
Patrick renamed this task from make whonixcheck non-networked in Qubes TemplateVM to port whonixcheck and tb-updater to Qubes qrexec based updates proxy.

Since https://github.com/Whonix/qubes-whonix/commit/01964e3c8c53b49aa14e56f7924fce5e88b5a448, other places can simply source /usr/lib/qubes-whonix/utility_function.sh and use PROXY_SERVER variable to get appropriate proxy address.

Patrick added a comment.EditedOct 20 2017, 3:27 PM

https://github.com/Whonix/whonixcheck/blob/Whonix13/usr/lib/whonixcheck/check_qubes.bsh

is already using

source /usr/lib/qubes-whonix/utility_functions.sh

if [ "$qubes_vm_type" = "NetVM" ] || [ "$qubes_vm_type" = "ProxyVM" ]; then
   PROXY_SERVER="${PROXY_SERVER/10.137.255.254/127.0.0.1}"
fi

and it works. Just now tested.

Should be good enough?

Related: T723

Patrick edited projects, added Whonix 13, Whonix 14; removed Whonix 15.Oct 20 2017, 3:28 PM

Is that changing to 127.0.0.1 work on Qubes 3.2? Anyway, yes, it should be good enough for Qubes 4.0.

Is that changing to 127.0.0.1 work on Qubes 3.2?

It's to make the test work in sys-whonix as well.

Anyway, yes, it should be good enough for Qubes 4.0.

Great!

Here is the fix for tb-updater. Please have a look. Untested. Will test now. If it works, I will backport to Whonix 13 tb-updater.

https://github.com/Whonix/tb-updater/commit/1ce837d7b0341e5a7d78751cb1b44d7241f0d217

Patrick claimed this task.Oct 20 2017, 4:58 PM
Patrick closed this task as Resolved.Oct 20 2017, 5:02 PM